Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature.schema
Class MultiGeometryPropertyType

    java.lang.Object
      org.deegree.model.feature.schema.AbstractPropertyType
          org.deegree.model.feature.schema.ComplexPropertyType
              org.deegree.model.feature.schema.MultiGeometryPropertyType

All Implemented Interfaces:
  PropertyType

    public class MultiGeometryPropertyType

extends ComplexPropertyType

Representation of property types that contain aggregated spatial data types.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Anup Deshmukh , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`typeName`

Constructor Summary
`MultiGeometryPropertyType(QualifiedName name, QualifiedName typeName, int type, int minOccurs, int maxOccurs)` Constructs a new instance of `MultiGeometryPropertyType` from the given parameters.

Method Summary

Methods inherited from class org.deegree.model.feature.schema.ComplexPropertyType
`getTypeName`

Methods inherited from class org.deegree.model.feature.schema.AbstractPropertyType
`equals, getMaxOccurs, getMinOccurs, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiGeometryPropertyType

    public MultiGeometryPropertyType(QualifiedName name,
                                     QualifiedName typeName,
                                     int type,
                                     int minOccurs,
                                     int maxOccurs)

  Constructs a new instance of `MultiGeometryPropertyType` from the given parameters.

  Parameters:
    `name` -
    `typeName` -
    `type` -
    `minOccurs` -
    `maxOccurs` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org